Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class PerInstancePojoMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PerInstancePojoMetaClassSite

    public class PerInstancePojoMetaClassSite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PerInstancePojoMetaClassSite

    public PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)

Method Detail

### call

    public Object call(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.